Subject: Re: bug#3080: 23.0.92; emacsclient can not open frame without visiting file

From: Dan Nicolaescu <[email-masked]>
Date: Wed, 22 Apr 2009 19:33:17 -0700 (PDT)

Jameson Rollins <[email-masked]> writes:

  > On Wed, Apr 22, 2009 at 02:25:04PM -0700, Dan Nicolaescu wrote:
  > > Jameson Rollins <[email-masked]> writes:
  > > 
  > >   > emacsclient does not allow for opening a frame, either in a terminal
  > >   > or in a new X frame, with*out* touching a file.  This is maybe only an
  > >   > issue when emacs is run in --daemon mode where an initial frame is not
  > >   > created.  It is often useful to open up an emacs without having a
  > >   > particular file that needs to be editted, and this is not currently
  > >   > possible.  In fact, I would prefer to see emacsclient behave more like
  > >   > the "classical" emacs behaves.  I would like to see the following
  > >   > behavior, that I think makes more sense and is more compatible with
  > >   > the classic interface:
  > 
  > Hi, Dan.  Thanks for the response.  What I was trying to outline below
  > was partially whether the functionality worked or not, but also that
  > the emacsclient interface is different that the standard emacs
  > interface, and that this seems a little bit unfortunate, seeing as
  > they could be the same.  Would it be possible to have them be the
  > same?  

Sure, AFAIR they were the same at some point after the multi-tty merge,
but they got changed back (no idea why, you might want to dig through
the mailing list).

  > >   > emacsclient
  > >   >   opens up a new frame with *scratch*
  > > does not work, it seems intentional, no idea why.
  > 
  > This is also the main thing that I was having issue with not working.
  > Is there any reason the behavior of just having emacsclient called
  > without any arguments open up an empty frame can't be supported?

AFAIK there's no technical reason.  It might be too late for the current
release cycle though.

  > jamie.
  > 
  > >   > emacsclient <file>
  > >   >   opens up a new frame with <file>
  > > 
  > > emacsclient -c <file>
  > > does this
  > > 
  > > 
  > >   > emacsclient -nw
  > >   >   opens up a new frame in the current terminal with *scratch*
  > > 
  > > this works
  > > 
  > >   > emacsclient -nw <file>
  > >   >   opens up a new frame in the current terminal with <file>
  > > 
  > > this works
  > > 
  > >   > emacsclient -<?> <file>
  > >   >   opens up <file> in an already opened "master" frame
  > > 
  > > emacsclient <file> 
  > > does this
  > > 
  > >